package WordList::EN::PersonName::PopularBabyName::GB_EAW::ONS::2000::Girl;

our $AUTHORITY = 'cpan:PERLANCAR'; # AUTHORITY
our $DATE = '2020-05-22'; # DATE
our $DIST = 'WordLists-EN-PersonName-PopularBabyName-GB_EAW-ONS'; # DIST
our $VERSION = '0.002'; # VERSION

use WordList;
our @ISA = qw(WordList);

our $SORT = 'rank';

our %STATS = ("num_words_contain_unicode",0,"num_words_contains_unicode",0,"num_words_contains_nonword_chars",264,"num_words_contain_whitespace",0,"avg_word_len",6.21012805587893,"shortest_word_len",2,"longest_word_len",15,"num_words_contains_whitespace",0,"num_words",5154,"num_words_contain_nonword_chars",264); # STATS

1;
# ABSTRACT: Most popular names for baby girls born in England and Wales in 2000 (from Office for National Statistics)

=pod

=encoding UTF-8

=head1 NAME

WordList::EN::PersonName::PopularBabyName::GB_EAW::ONS::2000::Girl - Most popular names for baby girls born in England and Wales in 2000 (from Office for National Statistics)

=head1 VERSION

This document describes version 0.002 of WordList::EN::PersonName::PopularBabyName::GB_EAW::ONS::2000::Girl (from Perl distribution WordLists-EN-PersonName-PopularBabyName-GB_EAW-ONS), released on 2020-05-22.

=head1 SYNOPSIS

 use WordList::EN::PersonName::PopularBabyName::GB_EAW::ONS::2000::Girl;

 my $wl = WordList::EN::PersonName::PopularBabyName::GB_EAW::ONS::2000::Girl->new;

 # Pick a (or several) random word(s) from the list
 my $word = $wl->pick;
 my @words = $wl->pick(3);

 # Check if a word exists in the list
 if ($wl->word_exists('foo')) { ... }

 # Call a callback for each word
 $wl->each_word(sub { my $word = shift; ... });

 # Iterate
 my $first_word = $wl->first_word;
 while (defined(my $word = $wl->next_word)) { ... }

 # Get all the words
 my @all_words = $wl->all_words;

=head1 DESCRIPTION

Taken from L<https://www.ons.gov.uk/>

Sorted by rank (most popular first).

=head1 STATISTICS

 +----------------------------------+------------------+
 | key                              | value            |
 +----------------------------------+------------------+
 | avg_word_len                     | 6.21012805587893 |
 | longest_word_len                 | 15               |
 | num_words                        | 5154             |
 | num_words_contain_nonword_chars  | 264              |
 | num_words_contain_unicode        | 0                |
 | num_words_contain_whitespace     | 0                |
 | num_words_contains_nonword_chars | 264              |
 | num_words_contains_unicode       | 0                |
 | num_words_contains_whitespace    | 0                |
 | shortest_word_len                | 2                |
 +----------------------------------+------------------+

The statistics is available in the C<%STATS> package variable.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/WordLists-EN-PersonName-PopularBabyName-GB_EAW-ONS>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-WordLists-EN-PersonName-PopularBabyName-GB_EAW-ONS>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=WordLists-EN-PersonName-PopularBabyName-GB_EAW-ONS>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2020 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut

__DATA__
CHLOE
EMILY
MEGAN
JESSICA
CHARLOTTE
LAUREN
SOPHIE
OLIVIA
HANNAH
LUCY
GEORGIA
REBECCA
BETHANY
AMY
ELLIE
KATIE
EMMA
HOLLY
ABIGAIL
MOLLY
GRACE
COURTNEY
SHANNON
CAITLIN
ELEANOR
JADE
ELLA
LEAH
ALICE
LAURA
ANNA
JASMINE
ELIZABETH
SARAH
AMELIA
RACHEL
AMBER
PHOEBE
NATASHA
NIAMH
ZOE
PAIGE
MIA
NICOLE
LILY
ABBIE
IMOGEN
ALEXANDRA
DAISY
MILLIE
CHELSEA
ERIN
GEORGINA
VICTORIA
DANIELLE
ISOBEL
LYDIA
SAMANTHA
MORGAN
TIA
JODIE
HARRIET
MAISIE
ISABELLA
ISABELLE
ROSIE
FRANCESCA
MELISSA
ISABEL
KAYLEIGH
KATHERINE
AIMEE
HOLLIE
KATE
FREYA
MADELEINE
STEPHANIE
EVE
RUBY
GEMMA
LOUISE
MOLLIE
JENNIFER
ALISHA
JORDAN
POPPY
ELLEN
BETHAN
SOPHIA
ALICIA
CERYS
CHARLIE
ELOISE
NATALIE
YASMIN
CATHERINE
RHIANNON
KIRSTY
LIBBY
NAOMI
SIAN
BROOKE
KELSEY
MADISON
ELLE
BETH
SHANIA
TAYLOR
ELISE
MAYA
MARIA
ASHLEIGH
ZARA
INDIA
ANNABEL
SHAUNA
ROBYN
FAYE
REBEKAH
DEMI
CASEY
EVIE
GABRIELLE
KIERA
AISHA
RACHAEL
SARA
ANNIE
ABBY
HEATHER
KATHRYN
ELISHA
KATY
SAFFRON
TARA
LOIS
LARA
SASHA
CIARA
KIRA
CHANTELLE
EBONY
MATILDA
JASMIN
LAURYN
MARY
ROSE
MARTHA
MADELINE
EMILIA
KIMBERLEY
ANGEL
SKYE
GABRIELLA
CARA
TEGAN
SUMMER
MARYAM
SASKIA
CHARLEY
KELLY
MACY
FLORENCE
NADIA
NIKITA
ANYA
ANNABELLE
FFION
CAITLYN
BRITNEY
CLAUDIA
ESME
HOPE
NICOLA
MADDISON
ELENA
JOSEPHINE
JENNA
JEMMA
LUCIE
LEANNE
SCARLETT
EDEN
SOFIA
NEVE
ALEX
DANIELLA
LIBERTY
SIMRAN
EVA
LISA
ESTHER
LOUISA
BRYONY
ABBEY
HELENA
RUTH
CARYS
AYESHA
FAITH
IONA
FIONA
TIFFANY
HAYLEY
JEMIMA
ANTONIA
HELEN
KYRA
ZAINAB
FATIMA
JOANNA
SADIE
MAIA
RHIANNA
PHILIPPA
JOSIE
MICHAELA
SAVANNAH
TILLY
KEELEY
AMIE
JAMIE
SYDNEY
TABITHA
TONI
CLAIRE
ZAHRA
SIOBHAN
AMINA
SHELBY
MAISY
MARIAM
TAMZIN
KATRINA
SANA
TAMARA
STACEY
CARLA
KAITLIN
PARIS
LAYLA
NINA
CONNIE
SABRINA
ELIZA
MEGHAN
KARA
HEIDI
FRANCES
SINEAD
MICHELLE
SERENA
TYLER
KIRSTEN
NIA
ORLA
JESSIE
KAITLYN
KEIRA
LUCIA
APRIL
CHRISTINA
TALIA
TIEGAN
TRINITY
MELANIE
ALIYAH
AALIYAH
BILLIE
IQRA
ANISA
JULIA
TAYLA
ADELE
BRITTANY
SHONA
BEATRICE
ASHLEY
CARLY
RIA
LEONIE
LORNA
THEA
ALANA
FELICITY
SEREN
DESTINY
DARCY
KATELYN
KIA
AVA
PRIYA
CAROLINE
MIRIAM
KERRY
MACEY
ERICA
HANA
ISLA
KAYLA
SALLY
RHEA
HALIMA
LEILA
RHIAN
TANYA
LOWRI
MILLY
YASMINE
LILLY
SYEDA
JAZMIN
AOIFE
DARCEY
NANCY
CATRIN
RENEE
ANISHA
CHELSIE
CONSTANCE
GRACIE
JADA
MILLICENT
SHANICE
BROGAN
POLLY
VANESSA
KIARA
VERITY
ABBI
LILLIE
TANISHA
ROISIN
BRIONY
HANNA
TAMSIN
CHELSEY
DEANNA
KATHLEEN
KHADIJA
SHARNA
CHEYENNE
CLARA
ALYSSA
ANNALISE
ELLENA
LIA
MONICA
CRYSTAL
HAZEL
KATHARINE
ROSEMARY
IMAN
JOANNE
LOLA
KEELY
AMANDA
ANASTASIA
GEORGIE
STELLA
AYSHA
JENNY
KIRAN
NATALIA
SADIA
EMILIE
SABAH
ROSA
ELINOR
KAYLEY
BECKY
EVELYN
FERN
TEIGAN
ANAIS
ANISAH
MYA
SALMA
SONIA
ALANNAH
BONNIE
HONOR
SIMONE
DAVINA
HAFSAH
NADINE
ALYSHA
ELLIS
LACEY
MONIQUE
MAE
ZAYNAB
AISHAH
ELISABETH
HAFSA
LOREN
ALEXANDRIA
ASHA
CLARE
JAZMINE
LAILA
BAILEY
HALEEMA
KELSIE
CORA
HARLEY
HENNA
LUCINDA
MARIE
RHIANNE
CAITLAN
FAY
FLORA
NEHA
ELYSIA
ISOBELLE
TORI
DEBORAH
KITTY
LEONA
MADELAINE
ALISON
ALIX
KHADIJAH
LANA
TIANNA
ANDREA
COURTENEY
DANA
DARCIE
EMELIA
GENEVIEVE
WILLOW
BETHANIE
MARGARET
MEG
SUMAYYAH
CARMEN
CODY
JULIETTE
SCARLET
SELINA
AISLING
IKRA
LEIGH
ALEXIA
ALINA
ANGELA
CALLIE
CHANEL
CODIE
ELIN
ELLIE-MAE
MADDIE
SACHA
ALEENA
KAYA
SKY
TALLULAH
CAMERON
CERI
ROSANNA
SHIVANI
TIANA
AUTUMN
BILLIE-JO
BRIDIE
CATRIONA
CHARIS
ESTELLE
LEONI
ALEXIS
AMINAH
ANNE
CASSIE
MARIAH
MIRANDA
ANA
ANEESA
BRIDGET
BRONWYN
LILI
SAFA
WHITNEY
CHANTEL
CHRISTINE
LEIA
MAHIMA
RIANNA
SAIRA
TESS
ANGHARAD
ELLIE-MAY
EVANGELINE
FARAH
ROWAN
CHANELLE
DIONNE
DOMINIQUE
ISHA
JANE
KENNEDY
MARNIE
STEVIE
TESSA
KIRSTIE
KRISTINA
MACKENZIE
REGAN
SAMIRA
SAPPHIRE
AMIRA
DEVON
HUMAIRA
JODI
MAARIYAH
SAARAH
TASNIM
AMNA
CANDICE
MARINA
MERCEDES
PENNY
JULIET
NISHA
TIERNEY
ALYS
ANIKA
CELINE
CLEO
FATIMAH
LOTTIE
MAY
SAIMA
BRIANNA
FIZA
LILLIAN
PIPPA
ATHENA
CARRIE
FLEUR
GINA
KASEY
MELODY
AMI
ANITA
AQSA
ARABELLA
ATLANTA
CHIARA
FAIZA
JOY
KIAH
MARTINA
ROMY
SAFIA
ALIYA
BOBBIE
BRONTE
CORAL
DIANA
EMMIE
RIYA
TAYA
ASMA
ELISA
ELISSA
KARLA
KAYLEE
TERRI
AMIRAH
ANJALI
CECILIA
JAIME
KEZIAH
LEYLA
MACIE
NATALYA
SANAA
TANIA
TYRA
AAMINAH
ALIA
ELLISE
JACQUELINE
KIMBERLY
NOOR
ROCHELLE
SUSAN
YAZMIN
CASSANDRA
DEMI-LEIGH
ELSA
KACEY
KEISHA
KELIS
NIKKI
SABA
SANAH
STORM
CHYNA
DREW
REANNE
SHAKIRA
SUSANNAH
ZAYNAH
AINE
AMAL
ELODIE
JAMIE-LEE
MICA
NEAVE
SORCHA
THALIA
ALANNA
ANN
BROOKLYN
CHARMAINE
IRAM
JODY
KARINA
KATERINA
ROXANNE
SAFIYA
CASSIDY
CLARISSA
DANIELA
ELEN
ENYA
KAREN
KEAVY
KYLIE
PRECIOUS
TAZMIN
TEAGAN
TYLA
ABBIGAIL
HERMIONE
IMAAN
JULIE
KARIS
MAISHA
REANNA
TAYLER
ANGELICA
FAHMIDA
HALIMAH
LARISSA
MAIREAD
MARIANNE
MELISA
NIMRA
TAHMINA
TAMMY
AMANI
BUSHRA
CELIA
LEA
LILLI
LINDA
NAFISA
SIENNA
ZARAH
DANNIELLE
DION
KEZIA
LEVI
LILIAN
TAMANNA
ANEESAH
BOBBI
CHRISTIE
DANNI
ELOUISE
ELSIE
ERIKA
ERYN
INES
JAYA
KRYSTAL
MANISHA
MANON
NAIMA
PRIYANKA
ROSEANNA
SUMAYA
TASMIN
VERONICA
AMRITA
ARIANNA
CHARLEIGH
CHARLI
HARMONY
HENRIETTA
JAMIE-LEIGH
MAHNOOR
PENELOPE
PHOENIX
SHARON
YUSRA
ABI
CHARLEE
DAYNA
FAHIMA
FARRAH
HALEEMAH
KERRIE
ROSALIND
SABINA
TINA
VALENTINA
AMARA
CAMILLA
CAMILLE
ELERI
ELLY
ELSPETH
GEORGIANA
JOELY
JUSTINE
KAY
KYLA
LINA
MISBAH
SHANNAN
SUMAIYAH
TARYN
ALESSIA
BELLA
BRONWEN
CALLY
CLEMENTINE
DULCIE
ELLESSE
ESMEE
FATMA
HARRIETT
LEIGHA
LIBBIE
MAEVE
MAGGIE
MARI
MUNA
OPHELIA
RIANNE
ROBERTA
ZOYA
CELESTE
CHARLENE
CYDNEY
ELENI
HABIBA
ISOBELLA
KIRSTIN
LORI
MARTINE
NELL
PATRICIA
PORTIA
RIO
SANNAH
SHELLEY
ZAHRAH
ABIDA
AILSA
ANGELINA
AROOJ
AYISHA
DINA
ELICIA
MARISSA
RAHIMA
SADE
SAMIA
SAOIRSE
SIONED
TALITHA
TASNEEM
TERESA
THERESA
VIOLET
ALEXA
AMMAARAH
AMRIT
AMY-LOUISE
ASIA
CECILY
CLOE
ELLOUISE
FINLAY
HEBE
JAMELIA
KAITLAN
MASUMA
MATHILDA
MIAH
MYAH
PRINCESS
RABIA
SHANA
TAMAR
TATIANA
ZAINA
AAISHA
AAMINA
ALISHIA
ANEEKA
AYLA
CHANTAL
CHARLY
DONNA
EILIDH
ELLI
ELLISHA
ELYSE
FRANKIE
HEENA
HOLLI
HUMAIRAA
IMANI
IQRAH
KATYA
KERYS
LENA
MALAIKA
MARIYAH
MEREDITH
NAJMA
SANDRA
STACIE
SUZANNA
ZAHRAA
ALANAH
BERNADETTE
BRODIE
CATRINA
FREJA
HAJRA
ISRA
JAMILA
JASPREET
JORDYN
KELLIE
LUISA
MALIKA
MARIYA
RUQAYYAH
SUSANNA
TASNIA
XENA
YASEMIN
ADRIANA
AGNES
ALEISHA
ANIQA
AYSE
BRITTNEY
CHEYANNE
HATTIE
HUMAYRA
JORDON
KARISHMA
LAUREL
LEANNA
MADIHAH
MAISEY
NAZIA
REMI
RHIANN
SAMIHA
SANYA
SHREYA
SIDRA
SUZANNE
TERI
BIBI
COLETTE
FAIZAH
FARHANA
HANAN
HUDA
IFRAH
JORDEN
KIANA
KIM
KRISTY
LAURIE
LIVIA
MAARIYA
MIYA
NEELAM
PEARL
SADIYAH
SAMIYA
SANNA
TEEGAN
ALISSA
ALYX
AMANPREET
ANJA
ASHLEA
BEVERLEY
BIANCA
CARINA
CARLIE
EDIE
ELA
ELIF
EMILLIE
EMMY
ESHA
FREYJA
GIORGIA
HUSNA
JAYDE
KELSEA
MARISA
NAFEESA
NICHOLE
ORIANA
RIMSHA
ROSHNI
SELENA
SHANAE
SHANNEN
SHAYLA
SYLVIA
THEODORA
YASMEEN
AGATHA
AIMIE
ALANIS
ALEESHA
ALIVIA
ALYSIA
CORDELIA
CRISTINA
DIONE
EDITH
ELLENOR
GLORIA
HINA
JAIMIE
JAY
JEMIMAH
JOCELYN
JORDANNA
KENDRA
KERRI
LEENA
LETITIA
LIANA
MARIELLA
MINNIE
MUSKAAN
NIKKITA
NISHAT
PRISCILLA
RAVEENA
REBEKKA
RHEANNA
RHIA
SAHAR
SAMINA
SELIN
SOMMER
TILLIE
XANTHE
ABIGAYLE
AILISH
ALIMA
AMEERA
ANTOINETTE
ARIANA
ASHLYN
AURORA
AYA
BELINDA
BELLE
BRITANY
JESSE
KADIE
KENYA
KRISTEN
MARIANNA
MAXINE
MONET
OCEAN
PIPER
SAFIYYAH
SAMARA
SHANELLE
AIYSHA
ALESHA
ALISA
AMALIA
ANNE-MARIE
BREE
CAOIMHE
CAPRICE
CHRISTY
CORINNE
DANI
DOROTHY
ELLICE
FARZANA
FATHIMA
FENELLA
HARPREET
JESS
KAISHA
KATELIN
KLOE
LESLEY
MADIHA
MAIZIE
MALI
MEERA
MENNA
PHILLIPPA
POOJA
ROSINA
ROWENA
SAFAA
SANIA
SAVANNA
SHANI
SHAYNA
SOFIE
TABATHA
TAMERA
YOLANDA
AALIYA
ADELAIDE
ANOUSHKA
CHAYA
CINDY
DAWN
DENISE
HALLE
HIRA
IVY
JOHANNA
KATARINA
KERI
MANPREET
MARWA
MILLI
MIMI
MISHA
MOHIMA
PIA
ROMANA
SARAH-LOUISE
SHAZIA
ZENA
ZEYNEP
ADINA
AFSANA
ALYCIA
AMMARAH
ARIANNE
BERFIN
BISMAH
CHERIE
CHRISTIANA
COLLETTE
ELAINE
HALLIE
HANIFA
JAI
JORDANNE
KELISE
KERRIS
KYA
LAVINIA
LILIANA
MAI
MEHREEN
MONTANA
MUNIRA
NAIMAH
NANA
NIMRAH
NOUR
RAVEN
REA
SAMEERA
SHANTELLE
TAHLIA
UZMA
VALERIE
VIRGINIA
WENDY
ALLEGRA
ANAM
ANNABELLA
CASSIA
CHANTE
COLLEEN
ELIANA
EMMA-LOUISE
FARIHA
GABRIELA
GILLIAN
HABIBAH
JENA
JO
JUDE
JUDITH
KIRI
KIYA
LATISHA
LEXIE
LINDSEY
LYNDSEY
MARLEY
MIKAYLA
MINA
NAFISAH
NAWAL
OCTAVIA
OTTILIE
PAULA
PHILLIPA
RAE
REEM
SAHRA
SHEENA
SHELBIE
SHOLA
SIANA
SKYLA
STAR
SUMAYYA
YVONNE
ZEENAT
ZENAB
AAMNA
ADELLE
AKSA
ALYSSIA
AMBER-ROSE
AMIEE
ANIA
ARIANE
ATIYA
AYAN
BARBARA
BEATRIX
BLYTHE
CARIS
CARLEY
CELYN
CLODAGH
CODI
DAISIE
DEMI-LEE
ELLA-LOUISE
ELLIE-MAI
ESTELLA
GURPREET
GWEN
HUMA
HUMERA
IKRAH
INDIANA
JASMYN
JAYDEN
JENNIE
KELSI
LAKEISHA
LEYA
MAARIA
MADEEHA
MARIANA
MATHILDE
NAILA
NATHALIE
NIDA
NIEVE
NORA
PAISLEY
PAMELA
RENAE
RHIANNAN
SARINA
SASCHA
SHANIE
SIDNEY
SIMRA
SORAYA
TASLIMA
ZULEKHA
ABBYGAIL
ABIGALE
ALLANA
AMBA
AMEENA
ANNALIESE
ASMAA
BREANNA
CASIE
CATHRYN
CHANICE
CHLOE-LOUISE
CIERA
DILARA
DORA
EBONIE
ELINA
EMMANUELLA
FAATIMAH
GIULIA
GRETA
HESTER
HIBA
HONEY
IRIS
ISMA
JANA
JAYDA
JORDANA
JOYCE
KATIA
KAVITA
LORRAINE
MALEEHAH
MALIHA
MHAIRI
NADIYAH
NAZIFA
NYAH
REBECA
REHANA
RENE
RHIANA
SAFIYAH
SAMAH
SANJANA
SARAH-JANE
SHANNA
SIDRAH
SIENA
SUMAIYA
TAMIA
TESNI
TIARNA
VIENNA
AISLINN
ALEKSANDRA
AMANDEEP
AMMARA
ANOUSKA
BAYLEIGH
BETSY
BISMA
CHANDNI
DEBBIE
EILISH
ELANA
ESRA
FINLEY
GISELLE
GWENLLIAN
HAJRAH
HARLEIGH
HARSIMRAN
HASNA
HAYLEIGH
IESHA
ILONA
ISIS
JAIMEE
JANNAH
JAYNE
KARYS
KAYLIE
KIRANDEEP
KOMAL
KYAH
LANI
LORENA
LUBNA
MABEL
MADELYN
MARIAMA
MICHA
NAKITA
NAZMIN
NUR
PHEOBE
ROMA
ROSY
SAMAN
SAMIYAH
SHAE
SHAUNNA
SHEREE
SHEREEN
SHIRLEY
SOBIA
SOPHY
STEFANIE
SYLVIE
TAHSIN
TATUM
TAYYIBAH
UMA
VENETIA
VENUS
YARA
AIZA
ALEASHA
ALLY
AMAN
ANABEL
ANAYA
ANN-MARIE
ARIELLA
ASHLEE
ASHTON
ASTRID
AUDREY
BROOK
CALISTA
CARAGH
CAROL
CHERISE
CHERYL
DANNIELLA
ELANOR
ELLEANOR
ELOISA
EMILY-JANE
FAE
FELICIA
FIONNUALA
HARRIETTE
HELOISE
HIBAH
JANNAT
JASLEEN
JULIANNE
KAJOL
KASIE
KEELEIGH
KENZIE
KIANNA
LACIE
LARAIB
LILY-MAY
LINDSAY
LUCI
MALIKAH
MARIUM
MAZIE
MERCY
MICHAELLA
MIKAELA
MILA
MOLLI
MONA
NADIYA
NAFEESAH
NICOL
OLIVE
PAVAN
RACHEAL
RAHMA
REAGAN
REEMA
REMY
ROSEMARIE
RUKHSAR
SABIHA
SAMIRAH
SHANIAH
SHANON
SHANTEL
SHAWNA
SUZANNAH
TAMIKA
TASNIMA
URSULA
VIVIEN
WINIFRED
ZAYNA
ABIGAEL
AIESHA
ALARNA
ALAW
ALESSANDRA
ALLANAH
AMY-LEIGH
ANMOL
ANNEKA
ANNELIESE
ANNIKA
ANUM
ANUSHKA
ASIYA
AYAH
AYMAN
BECA
BONITA
CADI
CAITLEN
CEREN
CHERRY
CLARICE
DANICA
DARCI
DELILAH
DEMI-LEA
DIVYA
EILEEN
ELEANA
ELISIA
EMAN
EMINE
EMMA-JANE
EMMELINE
FALLON
GEORGA
GERALDINE
IKRAM
INAYAH
INDIGO
JADEN
JAMILLA
JAYE
JOELLE
KACIE
KAJAL
KHADEEJAH
KRISTIN
LIANNE
LILY-MAE
LILY-ROSE
MAHEEN
MAIYA
MARIYAM
NABILA
NAEEMA
NEIVE
NICHOLA
NIKISHA
RABIAH
RAEESAH
REBEKA
RIANA
RITA
ROSALIE
RUBIE
SALINA
SEHAR
SEHRISH
SELMA
SHAAN
SHANAI
SHANAZ
SHAY
SOPHIE-LOUISE
SUMAYAH
TAHIRA
TANIKA
TANITH
TANZEELA
TASHA
TIAH
TRUDY
VICKY
YVETTE
ALECIA
ALENA
ALETHEA
ALEYSHA
ALLIYAH
AMAANI
AMAYA
AMELIE
ANDIE
ANEEQA
ANGIE
ANUSHA
ARIELLE
ARMANI
BRIANA
BRYDIE
CARMEL
CAROLINA
CATE
CERIAN
CEYDA
CHLOE-ANNE
CICELY
CLIO
COREY
CORTNEY
D'ARCY
DAISY-MAE
DAKOTA
DANIKA
DARA
DEENA
DIANE
DILAN
ELAN
ELEASHA
FATEMA
GENNA
GEORGETTE
GIZEM
GWYNETH
HADIQA
HAFIZA
HIFZA
INDYA
IONE
IZABELLA
JAE
JAMILAH
JANELLE
JANET
JANINE
JAVERIA
JAYME
JAZMYN
JOANA
JOLENE
JULIANA
KAIA
KALI
KALLIE
KATELAN
KATELYNN
KATEY
KENDALL
KRISTA
LILA
LOURDES
LUNA
MADDY
MAHA
MAHAM
MAIRA
MAJA
MANAR
MANSI
MAYMUNAH
MEHAK
MELINA
MELLISSA
MILAN
MILENA
MINNA
MORWENNA
NIKHITA
NIOMI
NUALA
ORLAGH
PALOMA
PATSY
PHEBE
RACHELLE
RAISA
REEGAN
REENA
RIANNON
RIVKA
ROSALYN
ROSEANNE
SABHA
SADIYA
SAHARA
SALWA
SAMMI
SANCHIA
SHAH
SHAINA
SHAMIMA
SHARMIN
SHEIKH
SIMONA
SONYA
SORREL
STACY
STARR
SUHA
TAMZYN
ZAKIYAH
ZEHRA
AFREEN
AIYANA
ALIZA
AMBERLEY
AMEENAH
ANALISE
ANEESHA
AROOSA
AVALON
AVANI
BETHANEY
BILLIEJO
CARENZA
CARI
CELINA
CHARLIE-ANNE
CHRISTA
CODEY
CORINNA
CORRIE
CORRINA
DARIA
EESHA
EIMEAR
ELLA-MAE
ELLIE-JO
ELLIE-LOUISE
ELLIE-ROSE
ELYSHA
EMMA-LEIGH
EUNICE
FAAIZAH
FARHEEN
HADIYA
HANAA
HARLIE
HENA
ISABELL
IZABELLE
JAIDA
JAMIELEIGH
JOAN
KASIA
KATLYN
KEELIE
KHALISAH
KIMRAN
KIZZY
LAIBA
LAURAN
LETICIA
LIDIA
LILITH
LOGAN
LUKA
MARED
MARIKA
MARNI
MCKENZIE
MEAGHAN
MELIS
MERRYN
MISSY
MONIKA
MORGANE
MUSKAN
NABILAH
NADA
NAVNEET
OONAGH
PARYS
PAULINE
RAYNA
RESHMA
RHEANNE
RILEY
ROBIN
RUMANA
RUQAIYAH
SAFAH
SAGAL
SAJIDA
SAMERA
SEANA
SEEMA
SHRIYA
SKYLER
SOMER
SUMAN
SURAYA
TATE
ZAKIYA
ZOHA
ZULAIKHA
ADELA
ADIBA
AHLAM
AILIS
ALAINA
ALANYA
ALEEMA
ALISHAH
ALLISON
AMREEN
AMY-JO
ANNA-MARIE
ANNABELL
ANWEN
ARAMINTA
AREEBA
ARTEMIS
ASTON
ASYA
AURELIA
BETTY
BLESSING
BLISS
BRIA
BRIANNE
CHANNELLE
CHELSEA-LEIGH
CHINA
COSIMA
COURTENAY
CRESSIDA
DALIA
DEMI-LOUISE
DENA
DENISA
DENIZ
DIVINE
DORCAS
EBONI
EISHA
ELIANE
ELIZ
ELLE-MAE
ELLESE
ELLISIA
ELLORA
ELLYSE
EMER
EMILY-ROSE
ERRIN
EUGENIE
FABIHA
GEORGIA-MAE
GERI
HALEY
HAMIDA
HATICE
HAZERA
HELIN
HILARY
IFRA
ILANA
IMOGENE
INGRID
JACINTA
JADZIA
JANKI
JAYMIE
JAZZMIN
JESSAMY
JORJA
KAI
KAIYA
KAREENA
KAROLINA
KATHRINE
KEANNA
KEELIN
KENDAL
KEREN
KERENZA
KIESHA
KLARA
KODIE
LAINEY
LATIA
LEIGH-ANN
LEILAH
LISA-MARIE
LUCIANA
MAAME
MAKEDA
MALKA
MARA
MARCELLA
MARCIE
MEAGAN
MEGGAN
MELINDA
MELODIE
MICHAL
MICHELA
MILLA
MISTY
MOMINA
MORGEN
MUNEEBAH
NABIHAH
NAILAH
NERYS
NIAH
NUSAYBAH
PATRICE
PEYTON
POPPIE
RADHIKA
RASHIDA
RENA
RHONA
RIKKI
ROMANY
ROMI
ROMILLY
SAVANAH
SHAMILA
SHANNAH
SHARN
SHEILA
SHIANNE
SHIFA
TABASSUM
TAIBA
TANESHA
TANSY
TATYANA
TAYBAH
TEMITOPE
UMME
UNA
ZAINUB
ZEBA
ZIA
ZOHRA
AALIA
ADA
ADITI
ADRIANNA
AKASHA
ALIESHA
ALISIA
ALYA
AMARAH
AMBAR
ANILA
ANIQAH
ANJUMA
ANNA-MARIA
ANNELISE
ANNMARIE
ATHINA
AVNEET
AYOMIDE
AZARIA
AZRA
BAYLEE
BECKI
BECKIE
BONNY
BREEZE
CAIT
CAROLYN
CATALINA
CATERINA
CHANNEL
CHELSI
CHERELLE
CHRISTABEL
CLIONA
CORI
DAISY-MAY
DAPHNE
DARBY
DEJA
DEMILEE
DEMILEIGH
DEVINA
EDA
EILIS
ELECTRA
ELEISHA
ELIA
ELISHIA
ELLEE
ELLIE-ANNE
ELLIEMAY
ESMERALDA
FABIENNE
FALAK
FJOLLA
GAIA
GWENNAN
GYPSY
HAJAR
HAJERA
HANNAH-LOUISE
HANNAN
HARKIRAN
HARLEEN
HEAVEN
HETTY
ISHRAT
IZABEL
IZOBEL
JADIE
JAMIELEE
JASKIRAN
KACY
KAINAAT
KARLI
KARLY
KATIE-ANN
KATJA
KEA
KEIGHLEY
KERIS
KHADEEJA
KULSUM
KULSUMA
LAETITIA
LEIGH-ANNE
LEILANI
LENE
LEONE
LIANNA
LIBBI
LORREN
LUCA
MADINA
MADIYA
MAIR
MAKENZIE
MARYANN
MEI
MIRA
MISCHA
MOLLY-ANN
MOLLY-ROSE
MUMINA
NAHIMA
NAZMA
NISA
NOA
NOSHEEN
NOSHIN
NUHA
OLGA
PARRIS
PAYAL
POLLYANNA
POPPI
PRIMROSE
RAEESA
RAEGAN
RANA
RAVNEET
RAWAN
REESE
REGINA
RIMA
RONA
RONNIE
SAIMAH
SAIRAH
SAKINA
SALIHA
SAMAR
SANIYA
SHAMSA
SHANADE
SHANIKA
SHANIQUE
SHERIDAN
SHYANNE
SHYLA
SIANNA
SIMREN
STEPHANY
SURAIYA
SUSANA
TAMEKA
TAMSYN
TANVI
TEA
TEAH
TIONNE
TIRION
TRACY
TULSI
UMAYMAH
UNAISAH
VIVIENNE
WINNIE
XENIA
YAEL
ZAIRA
ZAKIA
ZOBIA
AAKIFAH
AANISAH
AASIYAH
ADELINA
AIME
AISHAT
AISHWARYA
ALAYNA
ALEXANDREA
AMANA
AMBRIN
ANGELIQUE
ANJUM
ANNALISA
ANNAM
ANNIE-MAY
AREEJ
ASHIA
BERIVAN
BETHANNIE
BOBBIE-JO
BOBBY
CAITLAIN
CALLI
CARIAD
CARLI
CARLOTTA
CEIRA
CHELSEA-LOUISE
CHYANNE
CYNTHIA
CYRA
DAVINIA
DEANNE
DENI
DIYA
ELLA-MAY
ELLOISE
ELYSSA
EMA
EMILY-MAY
FAAIZA
FADUMA
FARHIYA
FARIDA
FATEHA
FOZIA
FREDA
GALA
GITTY
GURSIMRAN
GWENNO
HAJIRA
HANAH
HANSA
HETTIE
INAYA
INEZ
IOLA
IRENE
ISADORA
IVANA
JAIME-LEIGH
JAMEELA
JAYDENE
JAYNA
JEAN
JENNI
JESSIKA
JONI
JUDY
JUWARIAH
KAIRA
KARIMA
KATHERYN
KATHY
KAYSHA
KAYTLIN
KEAVEY
KEEVA
KERRY-ANN
KHLOE
KIERRA
KINZA
KIZZIE
KRISHNA
KULSOOM
KYIA
LAINA
LEONORA
LEXI
LINZI
LLINOS
LULU
LYNSEY
MAGDALENA
MAHFUZA
MALAK
MALEEHA
MARLA
MEGAN-LOUISE
MEHEK
MELLISA
MERYEM
MICHEALA
MIKALA
MOLLIE-MAE
MORVEN
MUMINAH
MUQADAS
NADIRA
NATASJA
NAVDEEP
NAZISH
NEESHA
NEEVE
NERISSA
NIRVANA
NUSRAT
OLUWADAMILOLA
PATIENCE
PAVANDEEP
RAQUEL
REAH
REBECKA
REZWANA
RIDA
RIFKA
RUKSAR
SABIRAH
SADAF
SAJIDAH
SALEHA
SAMIAH
SAPHIA
SAPHRON
SAVERA
SERINA
SHABNAM
SHAHANA
SHAKERA
SHAKIRAH
SHANAYA
SHANEA
SHANEL
SHANIECE
SHANIQUA
SHANISE
SHANIYA
SHAYMA
SHIREEN
SHOSHANA
SIDONIE
SIMRAH
SIMRAT
SIWAN
SKIE
STEFANIA
SUMAIRA
SUMMA
TAHANI
TAHIRAH
TANZILA
TAYLAH
TIANNE
TONISHA
TRACEY
VERA
WING
YASMINA
ZAIBA
ZHANE
ABIDAH
ABYGAIL
ADELINE
ADRIENNE
AIMAN
AJI
AKIRA
AKLIMA
AKUA
ALBA
ALEAH
ALISHBA
ALYSHIA
AMAARAH
AMBREEN
AMEERAH
AMNAH
ANABELLE
ANANYA
ANDI
ANGELINE
ANNYA
ARDEN
ARISHA
ARZOO
AYANNA
BAHAR
BAYLIE
BERNICE
BILLIE-JEAN
BLAISE
BLEONA
BLERTA
BRIDEY
CAILIN
CANDACE
CAYLEIGH
CERIS
CHARITY
CHASE
CHELSEE
CHERISH
CHIAMAKA
CHIOMA
CHRYSTAL
CHYNNA
DAMINI
DANAH
DANIA
DANYA
DEANA
DELLA
DEMMI
DENVER
DESIREE
DESTINEE
DHARMA
EBBA
EBRU
EFFIE
ELAINA
ELEANORE
ELIESHA
ELIS
ELISHEVA
ELISSIA
ELLANOR
ELLESHA
ELLIEMAE
ELUNED
EMAAN
EMERALD
EMILEE
EMILLY
EMILY-JAYNE
EMMANUELA
EMMANUELLE
EMMI
ERINA
ESTA
FAHEEMAH
FINOLA
FRANCINE
FRANCISCA
GAMZE
GEENA
GEORGIA-MAY
GIA
GURKIRAN
HABEEBAH
HADIA
HAJARA
HALA
HAMDA
HANIYA
HANNAH-MARIE
HARDEEP
HARINI
HASINA
HELEDD
HOLLY-ANN
HONOUR
IDA
ILHAM
ILSA
INDIANNA
INDIRA
JACKIE
JANICE
JAYMEE
JESSI
JILL
JORDAN-LEIGH
JORDANE
JORGIA
JULIANNA
JUNE
JUSTICE
KAINAT
KARI
KARIMAH
KARRIS
KATLIN
KAYDEE
KAZI
KEALEY
KEANA
KELEIGH
KEMI
KENZA
KEYA
KEYLEIGH
KHANSA
KIRBY
KIREN
KIRRA
KOREN
KRISTAL
KYMBERLEY
KYRAH
LANEY
LATIFA
LAYNA
LEANN
LEELA
LIAN
LOLITA
LORA
LOREDANA
LOTTE
LYNDA
LYRIC
MADDI
MAHIRA
MAHUM
MANAL
MANDY
MANIKA
MARIETTE
MARINE
MARYA
MARYUM
MEDINA
MEGHA
MEHVISH
MILI
MITZI
MUQADDAS
MYFANWY
NABEELAH
NASREEN
NATASCHA
NATAYA
NAYANA
NON
NUZHAT
OLUWATOBI
PASCALE
PAYTON
PHILOMENA
PRIYAL
RABIYA
RAINA
RAMLA
RAMONA
RANIA
RAVINA
RAYANNE
RAZIA
RHEANNON
RICHELLE
RIZWANA
RONNI
ROSEY
RUBINA
RUHI
SABBA
SAFFIYAH
SALLY-ANN
SAM
SAMMY
SANDY
SAPHIRE
SAYEDA
SEHER
SENA
SEONA
SERENE
SHAHEEN
SHAI
SHALOM
SHANAY
SHARA
SHARIFA
SHARIKA
SHARNI
SHAWNEE
SHEKINAH
SHELLBY
SKYLAR
SONALI
SUNDUS
SUNITA
SYDNEE
SYDNIE
TAHERA
TAILA
TALISHA
TALYA
TANIYA
TARA-LOUISE
TASIA
TAYLAR
TEGEN
TERRI-ANN
TIYANA
TOYAH
TRUDI
TUGCE
UNIQUE
VICKI
VIKKI
VIVIAN
WAFA
XARA
ZARINA
ZILAN
ZULAIKHAH
ZULEIKA
AAISHAH
AALIAH
AAMENA
AAMIRAH
AARZOO
AASIYA
ABBEYGAIL
ABENA
ADEEBA
ADEOLA
ADRIANNE
AERYN
AFIA
AFIFAH
AILEEN
AKSAH
ALIHA
ALISSIA
ALIYYAH
ALLIE
ALLISHA
ALMA
ALMAS
AMA
AMATULLAH
AMENA
AMISHA
ANISSA
ANNA-ROSE
ANTHONIA
ARCHANA
ARIA
ARIEL
ARIFA
ARWA
ASHLING
ASPEN
ASSIA
ATIFA
ATTIYA
AUGUSTA
AVNI
AWEL
AYANA
AYEISHA
AYLIN
AYOMIKUN
AYUSHI
AZURA
BAILEIGH
BAILIE
BAYLEA
BAYLEY
BETHANY-ANN
BETHANY-ROSE
BLUEBELL
BRYONEY
BRYONIE
CAIRA
CALLISTA
CANSU
CARISSA
CARRIE-ANNE
CATARINA
CERISE
CERYN
CHANA
CHANELL
CHARISMA
CHARLIE-ANN
CHARLIZE
CHELCIE
CHOLE
CLEA
CORIN
COURTNAY
COURTNIE
DANNII
DARIAN
DELIA
DELPHI
DERVLA
DERYN
DEVAN
DHARA
DILPREET
DILYS
DOLCIE
DOUNIA
EBONEY
EDONA
EIRA
ELIVIA
ELLA-ROSE
ELLE-MAY
ELLIE-MARIE
ELLIESHA
ELLIW
ELONA
ELYSSIA
EMELYE
EMI
EMILEIGH
EMILLIA
EMMALEIGH
EZRI
FABBIHA
FAHEEMA
FARIHAH
FARYAL
FATHEMA
FINN
FIZAH
FRANCHESCA
FRAYA
GABRIEL
GEORGI
GEORGIA-LEIGH
GEORGIA-LOUISE
GERMAINE
GRAINNE
GUL
GURSHARAN
HADASSAH
HADIYAH
HALEMA
HAMNAH
HANEEFA
HANIFAH
HARJOT
HAWA
HAZAL
HEBA
HEMA
HINDA
HUMAIRAH
IEVA
IFEOLUWA
ILAYDA
INSHA
IQRAA
IRENA
IRUM
ISHANI
ISHBEL
IYESHA
IZEL
JADE-MARIE
JAINA
JAMI
JASMINA
JEEVAN
JESSICCA
JESSY
JODIE-LEIGH
JOLIE
JUWAIRIYYAH
JUWAYRIYAH
KAILA
KAITLEN
KALISE
KALLY
KAMARA
KAMILA
KANISHA
KATIE-MARIE
KAYCIE
KAYLIEGH
KEAH
KEARA
KEERA
KEHINDE
KELCI
KELLEN
KETSIA
KHADIZA
KHIA
KIAYA
KIRSTYN
KODI
KODY
KRISHMA
KRISTIE
LACE
LAKISHA
LASHAY
LEEANN
LEONNA
LEONNIE
LILIA
LILY-ANN
LIMA
LINSEY
LISHA
LIVVY
LIZZIE
LORELLE
LORETTA
LOTTI
LOUISHA
LOUIZA
LOWENNA
MAARYA
MADALEINE
MADIA
MAEGAN
MAHEK
MAIRI
MAKAYLA
MALA
MANAAL
MARCIA
MARGAUX
MARGOT
MARTA
MEENA
MEGAN-ROSE
MEHNAZ
MELISHA
MERIAM
MERIEM
MICAELA
MILISSA
MIRREN
MIRYAM
MOESHA
MUSAMMAT
MYRA
NABEELA
NABIHA
NADEEN
NAIOMI
NAMRA
NANDINI
NASIMA
NASRA
NASRIN
NEAMH
NIAOMI
NIKI
NIMAH
NNEKA
NYA
NYASHA
NYOMI
OLUWATOSIN
OMOLARA
OREOLUWA
ORIANNA
ORNELA
OZLEM
PAITON
PEACE
PEGGY
PERSEPHONE
PETA
POONAM
PORSHA
PRISHA
PRUDENCE
PUJA
RAFAELA
RAHEEMA
REANN
REBEKKAH
RHYANNA
RIHANA
RINA
RIONA
ROMESSA
RONI
RUKAIYA
SAARA
SABINE
SALIHAH
SAMA
SAMEERAH
SANAM
SANIYAH
SANJIDA
SANJIDAH
SARAH-JAYNE
SARIAH
SARIKA
SARON
SAXON
SCOUT
SERA
SHADIA
SHAHAD
SHAHINA
SHALINI
SHAMIRA
SHANNON-LOUISE
SHANTE
SHARDAY
SHELDON
SHERRIE
SHERYL
SHIRIN
SILA
SILVIA
SIMA
SIMRANJIT
SIMRIT
SOFI
SOHA
SOPHIE-LEIGH
SUMEYA
SUNAINA
SURINA
SUZIE
TAHREEM
TARAN
TAYAH
TAYMAR
TAYYABAH
TEHREEM
TELERI
TENISHA
THERESE
TIAN
TONI-LOUISE
TONIA
TRISHA
TYANA
WARDA
YANA
ZANA
ZARIN
AAMENAH
AANYA
AARTI
ABAGAIL
ADAEZE
ADARA
ADI
AERIN
AFNAN
AFRA
AICHA
AIDA
AILISHA
AKILA
AKOSUA
ALARA
ALBERTA
ALBINA
ALEEZA
ALESIA
ALIAH
ALICJA
ALIMAH
ALLEAH
ALMIRA
ALYSON
ALYXANDRA
AMBER-JADE
AMBER-LEIGH
AMBER-LOUISE
AMBRA
AMEE
AMEL
AMENAH
AMERA
AMMA
AMYLEA
AMYLEIGH
ANCHAL
ANDREIA
ANJANA
ANNA-LOUISE
ANNETTE
ANNIS
ANU
ARIZONA
ASENA
ASHER
ASHNA
ASHWINI
ASIYAH
ATALANTA
AWEN
AZIZA
BATOOL
BEATRIZ
BENITA
BESARTA
BETHANI
BETHENY
BETHIA
BETSAN
BETUL
BHAVINI
BHAVISHA
BHUMI
BIBA
BILLI
BILLIE-JOE
BOBBIE-LEIGH
BRADIE
BRENDA
BRENNA
BRIAR
BRITANNIA
BRITTENY
BROGEN
BRONAGH
BRONYA
BRYANIE
BRYONI
BUSE
CAGLA
CAILEIGH
CAIRO
CAITLAND
CAITRIONA
CALI
CARRIEANNE
CAYLEY
CEINWEN
CERIDWEN
CHAI
CHAISE
CHANTAE
CHANTAY
CHARLEY-ANN
CHAVA
CHENELLE
CHEVONNE
CHLOE-ANN
CHLOE-LEIGH
CLAUDINE
CLEMENCY
CLEOPATRA
CLIODHNA
CORINA
CORRIN
COURTNEY-LEE
COURTNEY-LEIGH
DAINA
DAISEY
DANAE
DARLENE
DARYA
DEA
DELYTH
DEMELZA
DEMILEA
DEMPSEY
DERYA
DIVA
DOLLY
DONIKA
DUAA
EADIE
EIREANN
ELESE
ELESHA
ELI
ELIKA
ELISKA
ELISSE
ELLANA
ELLEY
ELLIE-
ELLIE-JADE
ELLIE-JANE
ELLIE-JAYNE
ELSBETH
EMANUELA
EMIE
EMMA-JAYNE
ERINN
ESHE
EUGENIA
FAARIA
FABIA
FAISA
FARDOWSA
FARHAT
FARJANA
FAWZIA
FAZEELA
FAZILA
FEIGY
FERNE
FINTY
FIRDAUS
FIRDAWS
FIZZA
FIZZAH
FLAVIA
FOLASADE
FOWZIA
FRANCESSCA
GENEVA
GIANNA
GITTEL
GLADYS
GOLDA
GRACIA
GURLEEN
GWENDOLEN
HAAFIZAH
HADASSA
HAF
HAFZA
HAILEY
HALINA
HARVEEN
HASINAH
HAVANA
HAWWA
HELENE
HENNAH
HIND
IBTIHAL
IBTISAM
IDIL
IFFAT
IMANE
INDIE
INDIYA
ISMAHAN
ISRAEL
JADE-LOUISE
JADESOLA
JAIPREET
JANAE
JANIE
JANNATH
JANVI
JAVARIA
JAYCEE
JAZZMINE
JEANETTE
JELENA
JENNAH
JESAMINE
JULIE-ANN
JULIE-ANNE
JUMANA
JUSTINA
KA
KADIJAH
KADY
KAELA
KALEY
KALLI
KAMILAH
KARMEN
KARRIE
KATARZYNA
KATHARINA
KATIE-ANNE
KATIE-JAYNE
KATIE-LEIGH
KAUTHAR
KAWTHAR
KAWTHER
KEILY
KELLIS
KENYAH
KERRIANNE
KHADEJA
KHARIS
KIRANJIT
KIZZI
KLAUDIA
KLEA
KRYSTYNA
LACY
LALITA
LAMEES
LAOISE
LARISA
LARNA
LATASHA
LATIFAH
LAUNA
LAURA-JANE
LEANE
LEIAH
LEKEISHA
LETISHA
LIAH
LILAH
LILLIE-MAE
LILYMAY
LLIO
LUANA
LUCIANNE
LUCILLE
LUCKY
LUCY-JANE
LUELLA
LYBA
LYNN
MACI
MACY-JANE
MADALAINE
MADALINE
MADDALENA
MADELIN
MAGDA
MAIZY
MARCY
MARIELLE
MARRIYAH
MARY-KATE
MATILDE
MAUD
MAUREEN
MAVISH
MAYAH
MAYISHA
MAYMUNA
MEDEEHA
MEGI
MEHNOOR
MEHWISH
MELEK
MELIKA
MELITA
MELIZ
MERVE
MERYN
MIGENA
MIKA
MILLE
MILLISSA
MINAHIL
MIYAH
MOIRA
MOLLY-MAE
MORAG
MOYA
MUNEEBA
MURRON
MUSSAMAT
MYRIAM
NABEEHA
NADIRAH
NADYA
NAHIDA
NAINA
NAJMAH
NATACHA
NATEA
NAVJOT
NAYAB
NAZMEEN
NEA
NECHAMA
NERISSE
NIDAH
NIRALI
NURIA
NURUL
OKSANA
OLAMIDE
OLUWASEUN
OLUWATOMISIN
OLYMPIA
OLYVIA
OMOLOLA
OONA
ORLAITH
OYINDAMOLA
OYINKANSOLA
OZGE
PANAYIOTA
PANDORA
PAOLA
PERI
PETRA
PHEONIX
PHOEBIE
PORSCHE
PUI
QUEENIE
RABIYAH
RAHMAH
RAINE
RAJVEER
RAMANDEEP
RAMISA
RAMISHA
RAMSHA
RANI
RANYA
RAPHAELLA
RAVEEN
REANNAN
REBBECCA
REEYA
REHA
RENATA
RHIANE
RHIANON
RHIANWEN
RHODA
RHYA
RHYANN
RIDHI
ROCHEL
ROMEY
ROSALIA
ROSE-MARIE
ROSELLA
ROZINA
RUKSANA
RUMAYSA
RUQAYAH
RUQAYYA
SABAHAT
SABEEHAH
SABIHAH
SAFINA
SAFIYE
SAFIYYA
SAHER
SAHERA
SAHIBA
SAHIRA
SAIBAH
SALLY-ANNE
SAMAIRA
SAMRAH
SAMYA
SANDEEP
SAPNA
SARANYA
SARAYA
SAYEEDA
SAYEMA
SEDA
SELEN
SEMA
SENAY
SEPHORA
SERAFINA
SERAPHINA
SHABNUM
SHAMEELA
SHAMIA
SHAN
SHANAYE
SHANELL
SHANEY
SHANNEL
SHANTAY
SHANTELL
SHANYA
SHARAN
SHARDAI
SHAREEN
SHARI
SHARLA
SHARLENE
SHARMINA
SHARNIE
SHAUNIE
SHAYE
SHEA
SHELBI
SHIRA
SHORNA
SHYANN
SIBEL
SIMGE
SIMILOLUWA
SIMISOLA
SIMRUN
SMRITI
SNEHA
SOPHIE-MARIE
SOPHINA
STEFFI
STEVIE-LEIGH
STORME
SUHANA
SUKI
SULTAN
SULTANA
SUMER
SUZY
TAAIBAH
TAHMIDA
TAIA
TAIYA
TALI
TAMMI
TANAYA
TANWEN
TANZIM
TASFIA
TASHANA
TASMIAH
TAY
TAYIBAH
TEHYA
TEONA
TERRI-LEIGH
THEADORA
TIA-LOUISE
TIANNAH
TIARA
TIYA
TOLULOPE
TONICHA
TRISHNA
TYANNA
TZIVIA
UMAY
VALERIA
VESA
VITA
WAHIDA
WAJEEHA
YAZMINE
YEE
YUMNA
ZAHIDA
ZAKIYYAH
ZEENA
ZEINAB
ZETA
ZOFIA
ZOWIE
AAMNAH
ABBIE-GAIL
ABBIE-LEE
ABBIE-MAY
ABBIEGAIL
ABBIGALE
ACELYA
ADAMA
ADELLA
ADENIKE
ADILA
ADNA
ADONIA
AFEEFAH
AFRAH
AFRICA
AFRIDA
AFSA
AFSHA
AIMEE-LOUISE
AISHIA
AKILAH
ALAA
ALANTA
ALEYNA
ALIKA
ALIS
ALISE
ALITA
ALVINA
ALYCE
AMAAL
AMAARA
AMAIA
AMANJOT
AMBAH
AMBIA
AMEY
AMILIA
AMINATA
AMMIE
AMREET
AMY-LEE
ANAH
ANDRIANA
ANEST
ANFAL
ANICA
ANJOLAOLUWA
ANNAIS
ANNALEISE
ANNEMARIE
ANNICE
ANNISA
ANNISHA
ANOOSHA
ANSA
ARBESA
ARIADNE
ARIAN
ARIJ
ARLINDA
ARUB
ARZU
ASHANTI
ATHENE
ATIKA
ATIYAH
ATLANTIS
AVRIL
AYSHIA
BABITA
BASYA
BEAU
BENEDICTA
BESS
BESSIE
BETHANY-ANNE
BETHANY-JANE
BEULAH
BINTA
BLUE
BO
BOZENA
BRANDY
BREANNE
BRIEANNA
CAITLYNN
CAMARA
CAMRYN
CARMAN
CAROLANNE
CARRIE-ANN
CARRIGAN
CARRIS
CASSEY
CATHLEEN
CATHY
CEARA
CECILE
CELESTINE
CHAE
CHANCE
CHANDRA
CHANTELL
CHARDAY
CHARLA
CHARLIE-JANE
CHARNA
CHAYSE
CHELSEA-ANN
CHELSEA-LEE
CHELSY
CHEZNEY
CHIANA
CHINYERE
CHLOE-
CHLOE-MAY
CLARISSE
CLAUDETTE
COMFORT
CORNELIA
COURTNEY-LOUISE
CYDNEE
DALYA
DANIYAH
DANNIKA
DEBBY
DEBORA
DEBRA
DELANEY
DELPHINE
DENIKA
DENISHA
DENNI
DENNIE
DERRY
DESTINI
DEVIKA
DEVORAH
DINAH
DIOR
DIVINA
DOLORES
DOMINIKA
DONIA
DONYA
DOROTHEA
DUNYA
EANNA
EBONEE
ECE
EDWINA
EGZONA
EIMAN
EKIN
ELAIN
ELANYA
ELENOR
ELKA
ELLAN
ELLENI
ELLIANNE
ELLICIA
ELLIE-ANN
ELLISA
ELLISS
ELLISSIA
ELLYSIA
ELMA
ELOUISA
ELYSSE
EMELIE
EMELY
EMILYROSE
EMME
EMY
ERISA
ERRON
ESE
ESMA
ESMAE
ETHEL
EVEY
EVITA
EZME
FADUMO
FARHA
FARHIA
FARHIN
FAUZIA
FAWZIYAH
FELISHA
FERNANDA
FFLUR
FINLEIGH
FIRDOWS
FLORRIE
FREDDIE
FREIA
GABRIELE
GEMIMA
GEMINI
GEORGIA-ROSE
GEORGIANNA
GIADA
GIOVANNA
GLESNI
GLORY
GRACEY
GRESA
GULCAN
GULCIN
HAADIYA
HADIQAH
HAIDEE
HAJIRAH
HAMDI
HAMERA
HANEEN
HANIAH
HANNAH-MAE
HANNAH-ROSE
HARMONIE
HARRIOTT
HASEENA
HAYA
HELAINA
HELAYNA
HETAL
HIBAQ
HIFSA
HINDY
HINNA
HODA
HOLLIE-MAE
HOLLIE-ROSE
HOLLY-MAE
HOLLYANN
HUMMA
IKHRA
IKRAA
IKRAN
ILHAAM
IMMOGEN
INDERPREET
INDI
INDIA-ROSE
INGA
INNES
IRELAND
IREM
ISBAH
ISHIKA
ISHRATH
ISMAY
ISSABELLA
IZZAH
JACEY
JADENE
JADINE
JAIDEN
JAIMINI
JAIYA
JAMIE-LEA
JANAY
JANNA
JASDEEP
JASMEEN
JAVAIRIA
JAYDEEN
JEANIE
JEMINA
JENIFER
JENISHA
JESSYE
JETA
JILLIAN
JOCASTA
JODHI
JODIE-ANN
JODIE-MAY
JORDANN
JOSEPHINA
JOVI
JUHI
JUMAINA
JUWAIRIAH
KACI
KADIJA
KAILEIGH
KAILEY
KAITLYNN
KALIYAH
KALLISTA
KAREEMA
KAREEMAH
KARISS
KARMA
KASSANDRA
KASSIE
KATELYNNE
KATIE-JANE
KATIE-LOUISE
KAVISHA
KAYCE
KAYCEE
KAYE
KAYLEIGH-ANN
KAYLIN
KAYNAT
KAYSIE
KAYTLYN
KEERTHANA
KELLISE
KELLY-MARIE
KELSY
KENISHA
KENNA
KENZI
KERA
KERENSA
KERYN
KIARNA
KIERAN
KIKI
KIRANJEET
KITTIE
KOURTNEY
KRISTI
KRISTINE
KSENIA
KYANNE
KYM
KYMBERLY
KYRIA
LADY
LAETICIA
LAKEN
LAKSHMI
LAMIA
LAMISHA
LAURA-JAYNE
LAVENDER
LEAH-MARIE
LEAHA
LEALA
LEONNI
LEORA
LICIA
LILI-MAE
LILLY-MAE
LILY-
LILY-ANNE
LILYELLA
LIONA
LIZA
LLEUCU
LUCILE
LUCY-ANN
LUCY-MAE
LYDIA-ROSE
MAARIAH
MABLI
MADALYN
MADEHA
MADHIYA
MADLEN
MAHALIA
MAHISHA
MAHMUDA
MAIDA
MAIMOONA
MAIMUNA
MAIRE
MAISIE-JANE
MALISSA
MANDEEP
MANOOR
MANREET
MARGHERITA
MARGO
MARIAN
MARILYN
MARION
MARJANA
MARLIE
MARY-ANNE
MARY-JANE
MARYAMA
MARYAN
MARYJANE
MASIE
MAYESHA
MEA
MEADOW
MEEGAN
MEGHANN
MEGHNA
MEHA
MEISHA
MELTEM
MERLE
MESHA
MIA-RAE
MIAYA
MICAH
MILANA
MILLIE-MAE
MINDY
MING
MOLI
MOLLEY
MOLLY-ANNE
MOLLY-MAY
MONAE
MORAYO
MOTUNRAYO
NADISHA
NAHEMA
NAIA
NAMRATA
NANCIE
NANSI
NAOISE
NATASSIA
NATHALIA
NATISHA
NAYLA
NAZREEN
NERICE
NICOLETTA
NIKOLE
NIKOLINA
NISHI
NOEMI
NOORA
NOREEN
OLUWAFERANMI
OLUWAKEMI
OLUWATAMILORE
OLUWATONI
OMAIMA
OMOTARA
ONYINYECHI
PAGAN
PAGE
PAIGE-MARIE
PAIGHTON
PALLAVI
PARVEEN
PAULINA
PERSIA
PETEK
PRABHJOT
PREETI
QENDRESA
RACHELE
RADEYAH
RAEANNE
RAFAELLA
RAFIA
RAGAN
RAHEELA
RAIGAN
RAJDEEP
RAJINDER
RAMANPREET
RASHEEDAT
RAYA
REISHA
REMA
RENAI
REYA
RIDDHI
RIMINI
RIMSHAH
ROHAN
ROHANNA
ROJDA
ROMANIE
ROSIE-MAY
ROXANA
ROXANNA
ROXY
ROYA
ROZERIN
RUKAIYAH
RUMAANAH
RUMAISA
RUMINA
RUPINDER
RUQAIYA
RUQAYA
RUWAYDA
SAADIA
SAAHIBAH
SABAA
SABIA
SADIQAH
SAFFA
SAFFIYA
SAIBA
SAIDA
SAJA
SAJEDA
SALEENA
SALIMA
SALLIE
SALONI
SAMEENA
SAMMY-JO
SAMRA
SAMREEN
SANDHYA
SANTANA
SARAHJANE
SARAN
SAREENA
SAUDAH
SAVANA
SAYA
SAYMA
SEFORA
SEHR
SENNA
SERISH
SEVGI
SEZEN
SHABANA
SHAFIA
SHAHIDA
SHAILA
SHAIMA
SHAISTA
SHAKEELA
SHAMA
SHAMARA
SHANNIA
SHANTAE
SHANTI
SHARDAE
SHARNE
SHARNEE
SHARNIA
SHAUNI
SHAYAN
SHAYLEE
SHAZNAY
SHEEREEN
SHEFALI
SHEIKHA
SHELLY
SHENICE
SHENIZ
SHERELLE
SHERENA
SHERICE
SHERILYN
SHERRI
SHIANN
SHIFRA
SHIKIRA
SHONTAE
SHRUTI
SHUHENA
SHULA
SHUMA
SIA
SIERRA
SIHAM
SIMRANDEEP
SINEM
SITA
SITI
SOFIAH
SOLANGE
SONA
SONAL
STEFFANIE
STEPHANNIE
STEVI
SUAD
SUMIYA
SUMMAYAH
SUMMER-LEA
SUNNA
SUNNAH
SUNNY
SYDNI
SYMA
SYRA
TABETHA
TAELA
TAHIYA
TAHNEE
TAIBAH
TAIWO
TAIYBA
TAJAH
TALLULA
TALULLA
TAMANA
TAMANNAH
TAMI
TAMIRA
TANEISHA
TANJA
TANJINA
TARANDEEP
TARIN
TARRYN
TAYE
TAYIBA
TAYLOR-MARIE
TAYYABA
TAYYBA
TEGWEN
TEMIDAYO
TEONI
TERRI-LEE
TEYA
THAHMINA
THELMA
THI
TIA-JADE
TIFFANIE
TIGER
TIJANA
TILLI
TOBY
TONIE
TONYA
TOPAZ
TYNE
UMAIMAH
UMAMAH
UMARAH
UME
UMI
VANISHA
VERONA
VICKIE
VICTORY
VIKTORIA
VIOLA
VITTORIA
WALLIS
WARDAH
WILLA
WINONA
YAGMUR
YITTY
YOUSRA
YUK
ZAAKIRAH
ZAHIRAH
ZAIRAH
ZAREENA
ZELAL
ZEYNAH
ZHARA
ZINEB
ZOHAL
ZUHA
A'ISHAH
AALISHA
AAMIRA
AARIFAH
AASHA
AATIKAH
ABA
ABBIE-LEIGH
ABBIE-LOUISE
ABBYGALE
ABEDA
ABYGAYLE
ACACIA
ADDISON
ADEKEMI
ADEL
ADISA
AEMELIA
AERON
AEYSHA
AFIFA
AFRIKA
AFRIN
AFSARA
AFTON
AGATA
AIDAN
AIMEN
AIMUN
AINA
AIRLIE
AISHANI
AISHLING
AKAYSHA
AKINA
ALEAHA
ALEEYAH
ALEJANDRA
ALEXANDRINA
ALEXUS
ALHENA
ALINE
ALIZEE
ALIZEH
ALLESSE
ALLYSSA
ALMAAS
ALTHEA
ALYSE
ALYSSE
ALZBETA
AMABEL
AMALIE
AMANDINE
AMARACHI
AMARIS
AMBER-LILY
AMBER-MAE
AMBERLEA
AME
AMI-LOUISE
AMIAH
AMILAH
AMINAT
AMIYA
AMMAARA
AMREETA
AMRINA
AMY-ROSE
ANAHITA
ANAIYA
ANALISA
ANAYAH
ANDREYA
ANDRIA
ANEELA
ANEKA
ANETA
ANGELIKA
ANI
ANISHAH
ANJELI
ANJULI
ANNA-MAY
ANNALEE
ANNALEIGH
ANNALIE
ANNAMARIA
ANNASTASIA
ANNEKE
ANNELIES
ANNETTA
ANNI
ANNIA
ANOOP
ANTHEA
ANTONINA
ANUOLUWAPO
ANXHELA
AOLANI
AQSAA
ARDITA
ARFA
ARIANWEN
ARIBA
ARIBAH
ARIFAH
ARISA
ARMELA
AROOB
ARTA
ARUNA
ARWEN
ARYA
ASHIKA
ASHIRA
ASHLIN
ASHLYNN
ASMAH
ASSISI
ASTEN
ATALYA
ATHEA
ATIAH
ATINUKE
AURA
AVIVA
AWA
AXELLE
AYALA
AYASHA
AYELET
AYESHAH
AYSIA
AYTEN
AZARA
AZEEZAT
BAILA
BAILEE
BANITA
BAREERA
BATSHEVA
BAYLA
BEA
BECCI
BEGUM
BEKKI
BENEDICTE
BERRY
BERYL
BETTINA
BHAKTI
BHAVIKA
BHAVINA
BHAVNEET
BIJAL
BILAN
BILLI-JO
BILLIE-ANNE
BILLY-JO
BLOSSOM
BOBBI-JO
BRACHA
BRACKEN
BRADY
BRIANNY
BRIGID
BRITTANEY
BROGHAN
BRONIA
BROOKELYN
BROOKLYNN
BUDDUG
BUSRA
CADIE
CAERA
CAILEY
CAITHLIN
CAITLINE
CAJA
CALEY
CALYPSO
CAMILA
CANDIDA
CAPUCINE
CARLENE
CARLOTA
CARMELA
CARRAGH
CARRINA
CARYL
CASEY-JAYNE
CATELYN
CATLIN
CATRYN
CAYLA
CECELIA
CERI-ANNE
CEYLAN
CHACE
CHANAY
CHANNAH
CHANNON
CHANTALLE
CHARISSE
CHARLETTE
CHARMIAN
CHARYS
CHAVI
CHAY
CHENOA
CHER
CHERI
CHERICE
CHHAYA
CHI
CHIDUBEM
CHISOM
CHLOE-JANE
CHLOE-MAE
CHLOIE
CHRISSIE
CHRISTAL
CHRISTELLE
CHRISTIANNA
CIANA
CIANNA
CIANNE
CIDNEY
CINZIA
CIRA
CLEMENCE
CLEMENTINA
COCO
COLBY
CONSTANDINA
CORAH
CORALE
CORALIE
CORAN
CORRINE
CORRYN
CORY
COUNTESS
COURTNEE
COURTNEY-JADE
COURTNEY-ROSE
COURTNY
CREE
D'ARCIE
DACIA
DALAL
DALI
DALLAS
DAMIA
DAMIKA
DANISHA
DANIYA
DANNICA
DANTE
DARINA
DASHA
DAYA
DEE
DEEMA
DEEPIKA
DEMIE
DEMIE-LEIGH
DENBY
DESIRE
DESTINIE
DEVONNE
DHRUTI
DHRUVI
DIAVIAN
DIDEM
DIELLZA
DOMENICA
DOMINICA
DORNA
DUYGU
DYLAN
EBONNIE
EBUNOLUWA
ECHO
EDEL
EDELE
EFA
EIBHLIN
EIMER
EIRIAN
EITHNE
EKATERINA
EKTA
ELEESHA
ELENORE
ELEONORA
ELEONORE
ELEYNA
ELINE
ELIZABETA
ELLA-
ELLA-JANE
ELLAH
ELLE-JAY
ELLE-LOUISE
ELLE-MARIE
ELLEANA
ELLECIA
ELLESIA
ELLIA
ELLIE-JAE
ELLIE-JAY
ELLINA
ELLINOR
ELLISHIA
ELLISSA
ELLYN
ELLYSHA
ELORA
ELVIE
ELVIRA
ELYCE
ELYCIA
ELYSHIA
EMBER
EMELINE
EMILY-
EMILY-JADE
EMILY-LOUISE
EMILY-MAE
EMILYJANE
EMMA-LEE
ENLLI
EPONINE
ERAM
EREN
ERIDA
ERRYN
ERYL
ERZA
ESI
ESMAY
ESTER
ETHNE
ETIENNE
EVANNE
EVELINA
EVELINE
EVY
EZGI
FABIANA
FABIOLA
FADWA
FAHMINA
FARADAY
FAREEHA
FARHANAH
FARZEEN
FASEEHA
FATAMA
FATEMEH
FATHEHA
FATIHA
FATIMAT
FATOU
FATOUMATA
FAWN
FAYZA
FEARNE
FELIX
FEN
FERAH
FFYONA
FILIPA
FILIZ
FIORELLA
FRAYER
FREA
FREIDA
FRIDA
GABI
GABY
GAIL
GAYNOR
GENESIS
GENIE
GEORGY
GEORJA
GHAZALA
GIGI
GILA
GISELA
GITA
GIULIANA
GOLDIE
GRACIE-MAE
GRADY
GRAZIELLA
GREER
HA
HAADIYAH
HAAJIRA
HABEEBA
HADDIJATOU
HADEEQA
HAFEEZAH
HAGER
HAILIE
HALEENA
HALLY
HAMIDAH
HAMNA
HANFAA
HANIA
HANNAH-LEIGH
HANNE
HANNELORE
HARRIOT
HARUKA
HAYDEN
HAYDN
HAYLEE
HAYLIE
HEAVENLEIGH
HEAVENLY
HERO
HIFZAH
HILAL
HILLARY
HIMANI
HINAL
HIRAL
HOLLEIGH
HOLLEY
HOLLIE-ANN
HOLLIE-MARIE
HOLLIE-MAY
HOLLY-ANNE
HUFSAH
HUMAYRAH
HUSNAA
IBUKUNOLUWA
IEASHA
IFSA
IFZA
ILENA
ILIANA
IMAANI
IMELDA
IMOJEN
INCA
INDEA
INDICA
INZA
IPEK
IRAJ
IRINA
IRRUM
ISA
ISABELA
ISATOU
ISOBELL
ISOLA
ISRAA
ISSABELLE
ISSEY
ITALIA
IYANUOLUWA
IZZY
JACLYN
JACQUI
JADAH
JADE-LEE
JAHANARA
JAHIDA
JAHNAY
JAIDE
JAIME-LEE
JAIMIE-LEIGH
JAIYEOLA
JALE
JAMIEE
JAMIELEA
JAMIMA
JAMINA
JAN
JANAVI
JANEY
JANINA
JANISHA
JANNATUL
JAQUELINE
JARIN
JAS
JASPRIYA
JASVINDER
JASWINDER
JAWAIRIA
JAYAH
JAYD
JAYDEAN
JAYMI
JAYNI
JAYNIE
JAZ
JAZZ
JEANNE
JEANNIE
JEMMIMA
JEORGIA
JERRY
JESSAMYN
JESSICA-LOUISE
JESSICA-MAE
JEWEL
JEYDA
JOANIE
JODINE
JOELLA
JOLEEN
JORDINA
JOSEFINA
JOURDAN
JOVAIRIA
JOYA
JU
JUMANAH
JUWAYRIAH
KAAJAL
KADI
KADISHA
KADIZA
KAFIA
KAIESHA
KAISEY
KALISHA
KALSOOM
KAMALA
KAMERON
KAMILLA
KANDICE
KANWAL
KAR
KARA-LEIGH
KARDELEN
KARHYS
KARIN
KARLEE
KARLEIGH
KARLIE
KARRA
KARYN
KASHA
KASI
KASSEY
KATELAND
KATELEN
KATHARYN
KATIE-
KATLAN
KATLYNN
KATRIN
KATRIONA
KAVYA
KAYLAH
KAYLEA
KAYLEIGH-ANNE
KAYLEIGH-JANE
KAYLEN
KAYLYN
KAYNAAT
KAYNATH
KAZIAH
KEALEIGH
KEESHA
KEIR
KEJSI
KELECHI
KELLY-ANNE
KELLYMARIE
KELSEE
KENNADY
KEONA
KERENA
KERRY-ANNE
KERRYANN
KERRYN
KESHA
KESIA
KETURAH
KHADRA
KHALEEQA
KHALIDAH
KHALILAH
KHATIJAH
KHAYA
KHIRA
KHUSHBOO
KHYA
KIANNE
KIEANA
KIEARA
KIERAH
KIKA
KIMBERLEIGH
KIMIA
KIONA
KIRA-NERYS
KIRANPREET
KIRTHIKA
KIYAH
KLEVISA
KOBY
KOLSUMA
KORA
KORAN
KORI
KORIN
KRISHA
KRISTIANA
KRUPA
KRYSTINA
KUMARI
KYANNA
KYLAH
KYNAAT
KYRIAKI
LABIBA
LADAN
LAILAA
LAILAH
LAINE
LALE
LAMISAH
LAREB
LASHAI
LATOYA
LAUREEN
LAURENNE
LAURETTA
LAVANYA
LAVEEZA
LAYA
LAYLAA
LAYLAH
LEANDRA
LEE
LEEANNE
LEELOO
LEEZA
LEIGHAH
LEIGHANNE
LEISHA
LEJLA
LEONOR
LESLIE
LETIA
LEXIA
LEXUS
LIBERTIE
LIBI
LILAC
LILIE
LILLI-ELLA
LILLIANA
LILLY-ANNE
LILYAN
LILYANA
LINNEA
LIV
LIYAH
LIZ
LORELL
LOUANNE
LOVEDAY
LOWRIE
LUCHIA
LUCIANNA
LUCY-ANNE
LUCY-JAYNE
LUCY-MARIE
LUCYANN
LUIZA
LULA
LYN
LYNETTE
MADALIN
MADDYSON
MADEEHAH
MAEESHA
MAELONA
MAGDALENE
MAGENTA
MAH-NOOR
MAHBUBA
MAHDIYA
MAHIKA
MAHJABIN
MAHWISH
MAICEY
MAICY
MAIJA
MAILI
MAIMOONAH
MAJENTA
MAKI
MALAIKAH
MALEEKA
MALINA
MALINI
MANASI
MANJOT
MANLEEN
MANUELA
MAR
MARAM
MARCELLE
MARGED
MARIETTA
MARIJA
MARILLA
MARNEY
MARSELA
MARSHA
MARVI
MARWAH
MARY-ANN
MARYANNE
MARYEM
MARYLOU
MASHAL
MASOOMA
MASUMAH
MAWIYAH
MAYCEE
MAYCIE
MEESHA
MEGANE
MEGEN
MEGHANE
MEHR
MELDA
MENA
MENISHA
MERISSA
MERYAM
MERYL
MIA-ROSE
MILICA
MILLIA
MILLIE-MAY
MINAH
MINAL
MIR
MIRABEL
MIREILLE
MIREL
MIRELA
MIRELLA
MIRI
MISHAAL
MIZUKI
MOBEENA
MOHEMA
MOJOLAOLUWA
MOLLIE-ANN
MOLLIE-JO
MOLLIE-ROSE
MOLLY-JO
MOLLYANN
MOMENA
MORENIKE
MORIAM
MORRIGAN
MOYINOLUWA
MUIREANN
MUNTAHA
MURIEL
MURIUM
MUSAMMAD
MUSAMMATH
MYER
NAADIYAH
NADRA
NAEMA
NAGINA
NANAKO
NANDI
NARDIA
NAREEN
NASTASSJA
NASTEHO
NASYA
NATALY
NATASHIA
NATHANIA
NAUREEN
NAVEEN
NAVINDER
NAVPREET
NAYA
NAYEMA
NAZIHA
NAZIHAH
NAZNEEN
NAZRIN
NDEY
NEELIMA
NEL
NENA
NESHA
NGOC
NGOZI
NICHOL
NICO
NICOLETTE
NIDHI
NIESHA
NIHA
NIHAL
NILIMA
NIMAT
NIMO
NIRAH
NISBAH
NISHAAT
NISSA
NITA
NITASHA
NIYAH
NOELLA
NOELLE
NOMI
NOORAN
NORAH
NOUF
NOURA
NOVA
NUMA
NYESHA
OAKLEY
OCEA
OCEANA
OGOCHUKWU
OLA
OLIVIA-
OLIVIA-GRACE
OLIVIA-LOUISE
OLIVIA-MAY
OLIVYA
OLUWADEMILADE
OLUWAFIKAYOMI
OLUWAFOLAKEMI
OLUWAMAYOWA
OLUWASEMILORE
OLUWATENIOLA
OLUWATOBILOBA
OLUWATOMI
OMOBOLANLE
OMOLABAKE
OMOTAYO
ONYINYECHUKWU
OPAL
ORIANE
ORNA
OYINLOLA
PARISS
PASHA
PAULETTE
PAVNEET
PAYNTON
PAYTEN
PEACHES
PHUONG
PIRAVEENA
POLINA
POLLY-ANNA
PORSCHA
PRABHDEEP
QUDSIA
QUINN
QURATULAIN
RA'EESAH
RADHA
RADHIYA
RADIA
RADIYAH
RAEANNA
RAGAVI
RAGEN
RAHEEMAH
RAHEMA
RAHIMAH
RAISAH
RAIZEL
RAJNI
RAKAYA
RAMA
RAMANI
RAMSHAH
REBECCAH
REBECKAH
REESHA
REHANNA
REISEL
REISY
RENEA
RENEECE
REYAN
RHEMA
RHIANNAH
RHIANYDD
RHYANNE
RIAH
RICKI
RITU
RIVKAH
ROBYNNE
ROHIMA
ROHINI
ROMANE
ROMINA
RONNY
ROOMANA
ROSABELLA
ROSELYN
ROSETTA
ROSHEEN
ROSHINI
ROSIE-BETH
ROSIE-MAE
ROSITA
ROSLYN
ROWEN
ROWENNA
ROZEENA
RUBY-MAY
RUDI
RUHEE
RUKAYA
RUKHSAAR
RUKHSANA
RUKIA
RUKIYA
RUMESSA
RUMI
RUQAIYYAH
RYA
SAADIYAH
SAAHIRAH
SAAIMAH
SAANA
SAANIA
SAARRAH
SABEEHA
SABEELA
SABIRA
SABIYA
SADIKA
SAEEDA
SAFFIA
SAFRON
SAHDIA
SAHIMA
SAIQA
SAIRISH
SAISHA
SAIYARA
SAKEENA
SAKINAH
SALI
SALMAH
SALOME
SAMANDA
SAMANTA
SAMEEA
SAMEEHA
SAMEEN
SAMIHAH
SAPHIRA
SAPPHIRA
SARAH-
SARENA
SASHKA
SASKYA
SATVEER
SAYYEDA
SEDONA
SEJAL
SEMRA
SENADA
SENEM
SERAYA
SEREENA
SEVAL
SEVEN
SEVIL
SEVIM
SEYMA
SHAGUFTA
SHAHANAZ
SHAHLA
SHAHRIN
SHAILI
SHAKIA
SHAMAILA
SHAMARI
SHAMEELAH
SHAMEEM
SHAMILAH
SHAMILLA
SHANNELL
SHANNICE
SHANNON-LEIGH
SHANTIA
SHANYCE
SHANZA
SHARANYA
SHARIFAH
SHARLEEN
SHARLOTTE
SHARMINE
SHARNAY
SHARNEY
SHARONA
SHAUNA-LEIGH
SHAUNA-MARIE
SHAUNAGH
SHAYLEY
SHAZMIN
SHAZNEY
SHEBA
SHELINA
SHEMAIAH
SHENAYA
SHENIQUA
SHEREECE
SHERINE
SHERRY
SHI
SHIAN
SHIFAA
SHIMA
SHIVA
SHOANA
SHONAH
SHONNA
SHORIFA
SHREE
SHUMENA
SHWETA
SHYAN
SIANIE
SIDDIQA
SIEW
SIHAAM
SILKE
SILVANA
SIMI
SIMRANJEET
SIMRON
SINDI
SINDY
SIOBHAIN
SIRIN
SOFINA
SOLACE
SONITA
SONJA
SOPHIE-
SOPHIE-ANN
SOPHIE-JO
SOPHIE-LEA
SOPHIE-MAY
SOROH
SOUAD
STACI
STEFANY
STEFFANI
STEFFANY
STEPHANIA
SUBHA
SUDE
SUHAYLA
SUKPREET
SULA
SULE
SULEKHA
SUMBAL
SUMERA
SUMIYAH
SUMIYYA
SUMMER-LEIGH
SUNAH
SURIYA
SUSIE
SUZAN
SUZI
SWATHI
SYMONE
SYMRAN
SZE
TABASUM
TAHIYAH
TAHMIN
TAHSINA
TAI
TAITE
TAJA
TALEAH
TALLIA
TAMARAH
TAMARRA
TAMEIKA
TAMIE
TAMIMA
TAMINA
TAMLA
TAMLYN
TAMMIE
TANVEER
TANZIMA
TANZY
TAO
TAOME
TARAH
TASMINA
TASMIYAH
TASNEEMA
TATANIA
TAWNY
TAYABAH
TAYEBA
TAYLOR-
TAYLOR-ANN
TAYLOR-JADE
TAYLOR-LEIGH
TEAL
TEANNA
TEELA
TEGWYN
TEISHA
TEJA
TEJAL
TELIA
TEMILOLUWA
TEQUILA
TEQUILLA
THAI
THAIBA
THAMINA
THANDIWE
THASLIMA
THIERRY
TIANN
TIERNI
TIGGY
TILDA
TILLEY
TIOLUWANI
TIONE
TOCHI
TOLUWANI
TOMISHA
TONI-LEIGH
TONI-MARIE
TONILEE
TORA
TORIA
TORIE
TRICIA
TRINA
TRUDIE
TUANA
TUBA
TUESDAY
TUGBA
TYE
TYLAH
TYLER-JADE
TYRAH
TZIPORAH
UCHENNA
UMAIRA
UMERA
UMMI
UNITY
URJA
URMI
UROOJ
URVI
URWAH
USHNA
USMA
VAISHALI
VARSHA
VASILIKI
VEENA
VENISHA
VICTOIRE
VIKITA
VINISHA
VIVIANA
WAHEEDA
WARSAN
WEDNESDAY
WEI
WINTER
WURAOLA
XHESIKA
XSARA
YA
YAN
YANIQUE
YAREN
YEHUDIS
YEN
YING
YLANA
YSABEL
YSABELLA
YSABELLE
ZAFIRA
ZAFIRAH
ZAHARA
ZAINEB
ZAKIRA
ZAKIYYA
ZAMIRA
ZARA-JANE
ZARIA
ZARKA
ZEINA
ZELINA
ZENOBIA
ZENUB
ZINA
ZINNIA
ZION
ZOEY
ZOIE
ZOYAH
